<h1><?= __('follow_alert_me') ?></h1>

<div class="add-error-msg text-danger"></div>

<div class="clear mb-10"></div>
<p class="text-grey"><?= __('follow_alert_me_tooltip') ?></p>
<div class="clear mb-30"></div>
<div class="close-modal desktop" data-dismiss="modal">
    <i class="fas fa-times"></i>
</div>
<input type="hidden" name="follow_user_id" value="<?= $this->follow_user_id ?>">
<input type="hidden" name="user_type" value="<?= $this->follow_data['type'] ?>">
<input type="hidden" name="user_type_id" value="<?= $this->follow_data['type_id'] ?>">

<? if ($this->follow_data['type'] == "escort"): ?>
    <div class="inn-checkbox">
        <input id="follow-new-comment"
               class="moony events" <?= array_key_exists(FOLLOW_ESCORT_NEW_COMMENT, $this->follow_events) ? 'checked = "checked"' : '' ?>
               type="checkbox" value="<?= FOLLOW_ESCORT_NEW_COMMENT ?>" name="events[]"/>
        <label for="follow-new-comment"><?= __('follow_new_comment') ?></label>
    </div>
    <div class="inn-checkbox">
        <input id="follow-new-profile"
               class="moony events" <?= array_key_exists(FOLLOW_ESCORT_NEW_PROFILE, $this->follow_events) ? 'checked = "checked"' : '' ?>
               type="checkbox" value="<?= FOLLOW_ESCORT_NEW_PROFILE ?>" name="events[]"/>
        <label for="follow-new-profile"><?= __('follow_modification_profile') ?></label>
    </div>
    <div class="inn-checkbox">
        <input id="follow-new-picture"
               class="moony events" <?= array_key_exists(FOLLOW_ESCORT_NEW_PICTURE, $this->follow_events) ? 'checked = "checked"' : '' ?>
               type="checkbox" value="<?= FOLLOW_ESCORT_NEW_PICTURE ?>" name="events[]"/>
        <label for="follow-new-picture"><?= __('follow_new_picture') ?></label>
    </div>
    <div class="inn-checkbox">
        <input id="follow-new-review"
               class="moony events" <?= array_key_exists(FOLLOW_ESCORT_NEW_REVIEW, $this->follow_events) ? 'checked = "checked"' : '' ?>
               type="checkbox" value="<?= FOLLOW_ESCORT_NEW_REVIEW ?>" name="events[]"/>
        <label for="follow-new-review"><?= __('follow_new_review') ?></label>
    </div>

    <div class="inn-checkbox">
        <input id="follow-new-price"
               class="moony events" <?= array_key_exists(FOLLOW_ESCORT_NEW_PRICE, $this->follow_events) ? 'checked = "checked"' : '' ?>
               type="checkbox" value="<?= FOLLOW_ESCORT_NEW_PRICE ?>" name="events[]"/>
        <label for="follow-new-price"><?= __('follow_new_price') ?></label>
    </div>

    <? /*<div class="inn-checkbox">
							<input id="follow-any-change" class="moony " type="checkbox" value="1" />
							<label for="follow-any-change"><?= __('follow_any_change') ?></label>
						</div>*/ ?>

<? else: ?>
    <div class="fleft mr20">
        <div class="inn-checkbox">
            <input id="follow_new_female"
                   class="moony events" <?= array_key_exists(FOLLOW_AGENCY_NEW_FEMALE, $this->follow_events) ? 'checked = "checked"' : '' ?>
                   type="checkbox" value="<?= FOLLOW_AGENCY_NEW_FEMALE ?>" name="events[]"/>
            <label for="follow_new_female"><?= __('follow_new_female_escort') ?></label>
        </div>
        <div class="inn-checkbox">
            <input id="follow_new_trans"
                   class="moony events" <?= array_key_exists(FOLLOW_AGENCY_NEW_TRANS, $this->follow_events) ? 'checked = "checked"' : '' ?>
                   type="checkbox" value="<?= FOLLOW_AGENCY_NEW_TRANS ?>" name="events[]"/>
            <label for="follow_new_trans"><?= __('follow_new_trans_escort') ?></label>
        </div>
        <div class="inn-checkbox">
            <input id="follow_new_man"
                   class="moony events" <?= array_key_exists(FOLLOW_AGENCY_NEW_MALE, $this->follow_events) ? 'checked = "checked"' : '' ?>
                   type="checkbox" value="<?= FOLLOW_AGENCY_NEW_MALE ?>" name="events[]"/>
            <label for="follow_new_man"><?= __('follow_new_man_escort') ?></label>
        </div>

        <div class="inn-checkbox">
            <input id="follow-new-comment"
                   class="moony events" <?= array_key_exists(FOLLOW_AGENCY_NEW_COMMENT, $this->follow_events) ? 'checked = "checked"' : '' ?>
                   type="checkbox" value="<?= FOLLOW_AGENCY_NEW_COMMENT ?>" name="events[]"/>
            <label for="follow-new-comment"><?= __('follow_new_comment') ?></label>
        </div>

        <div class="inn-checkbox">
            <input id="follow-new-review"
                   class="moony events" <?= array_key_exists(FOLLOW_AGENCY_NEW_REVIEW, $this->follow_events) ? 'checked = "checked"' : '' ?>
                   type="checkbox" value="<?= FOLLOW_AGENCY_NEW_REVIEW ?>" name="events[]"/>
            <label for="follow-new-review"><?= __('follow_new_review') ?></label>
        </div>
        <? /*<div class="inn-checkbox">
								<input id="follow-any-change" class="moony " type="checkbox" value="1" />
								<label for="follow-any-change"><?= __('follow_any_change') ?></label>
							</div>*/ ?>
    </div>
<? endif; ?>

<div>
    <? if ($this->follow_data['type'] == "escort"): ?>
        <input type="checkbox" id="follow-comment" name="events[]"
               value="<?= FOLLOW_ESCORT_NEW_CITY ?>" <?= array_key_exists(FOLLOW_ESCORT_NEW_CITY, $this->follow_events) ? 'checked = "checked"' : '' ?>>
    <? else : ?>
        <input type="checkbox" id="follow-comment" name="events[]"
               value="<?= FOLLOW_AGENCY_NEW_CITY ?>" <?= array_key_exists(FOLLOW_AGENCY_NEW_CITY, $this->follow_events) ? 'checked = "checked"' : '' ?>>
    <? endif; ?>
    <label for="follow-comment"><?= __('follow_visit_city') ?></label>
</div>

<div class="clear mb-20"></div>
<div class="d-flex div-2-cols">
    <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
        <div class="dropdown">
            <select class="single-option-select d-none" id="country" name="country_id">
                <option value="">-</option>
                <? foreach ($this->countries as $country): ?>
                    <option value="<?= $country->id ?>"<?= $country->id == $this->country_id ? ' selected="selected"' : '' ?>><?= $country->title ?>
                        &nbsp;&nbsp;
                    </option>
                <? endforeach ?>
            </select>

            <a class="dropdown-toggle" id="countryFilter" data-toggle="dropdown" aria-haspopup="true"
               aria-expanded="false">
                <label><?= __('country') ?></label>
                <span class="dropdown-toggle-val uppercase">
                    <span class="nothing-selected"><?= __('nothing_selected') ?></span>
                </span>
                <span class="caret"></span>
            </a>
            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="countryFilter"
                x-placement="bottom-start"
                style="position: absolute; transform: translate3d(0px, 50px, 0px); top: 0px; left: 0px; will-change: transform;">
                <? foreach ($this->countries as $country): ?>
                    <li data-val="<?= $country->id ?>"><a href="javascript:void(0)"><?= $country->title ?></a></li>
                <? endforeach ?>
            </ul>
        </div>
    </div>
    <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
        <div class="dropdown">
            <select class="single-option-select d-none" id="cities" name="city_id">
                <option value="">-</option>
                <? foreach ($this->cities as $city): ?>
                    <option value="<?= $city->id ?>"><?= $city->title ?>&nbsp;&nbsp;</option>
                <? endforeach ?>
            </select>

            <a class="dropdown-toggle" id="citiesFilter" data-toggle="dropdown" aria-haspopup="true"
               aria-expanded="false">
                <label><?= __('city') ?></label>
                <span class="dropdown-toggle-val uppercase">
                    <span class="nothing-selected"><?= __('nothing_selected') ?></span>
                </span>
                <span class="caret"></span>
            </a>
            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="citiesFilter"
                x-placement="bottom-start"
                style="position: absolute; transform: translate3d(0px, 50px, 0px); top: 0px; left: 0px; will-change: transform;">
                <? foreach ($this->cities as $city): ?>
                    <li data-val="<?= $city->id ?>"><a href="javascript:void(0)"><?= $city->title ?></a></li>
                <? endforeach ?>
            </ul>
        </div>
    </div>
</div>
<div class="clear mb-20"></div>
<div class="d-flex justify-content-end">
    <div class="btn btn-blue-dark uppercase add-other-city-trigger p-2"><?= __('add') ?></div>
</div>
<div class="clear mb-20"></div>
<p class="text-grey"><? __('locations') ?></p>
<div class="clear mb-10"></div>
<div id="city-locations" class="other-cities-container">
    <? foreach ($this->cities as $city): ?>
        <div class="other-city justify-content-between">
            <div class="city-name"><?= $city->title ?></div>
            <div class="city-remove text-grey d-flex align-items-center">
                <p class="uppercase">remove</p>
                <i class="fa fa-times"></i>
            </div>
            <input type="hidden" name="cities[]" value="<?= $city->id ?>">
        </div>
    <? endforeach; ?>
</div>
<div class="clear mb-40"></div>
<div class="autocomplete-container flex-grow-1 unset-height" autocomplete="off">
    <textarea rows="3" class="comment" name="short_comment"
              placeholder="<?= __('follow_comment_placeholder') ?>"><?= $this->follow_data['short_comment'] ?></textarea>
</div>
<div class="clear mb-40"></div>
<div class="button-container d-flex justify-content-between justify-content-md-end align-items-center flex-column">
    <a href="#" class="reset-follow-modal uppercase btn btn-grey btn-big desktop w-100 mb-10"><?= __('reset') ?></a>
    <a href="#" class="reset-follow-modal btn btn-grey btn-big uppercase mobile w-100 mb-10"><?= __('reset') ?></a>
    <button class="btn btn-brown btn-big uppercase w-100"><?= __('save_follow_modal_edit') ?></button>
</div>